# EXAMPLES OF PRIOR INFORMATION TRANSFER FOR SEWELL AND SHAH'S DATA - PLOTS.
#
# Written by Radford M. Neal, July 2001.
# 
# Produces the plots for the paper from results of graph-ex.r.

ps.options(paper="special",width=6,height=3.2,pointsize=7,horizontal=F)

e2.plot.estimates <- function (xv, rl)
{
  xv <- log(xv)/log(2) - log(50)/log(2)
  for (i in 1:length(xv))
  { if (i>1) 
    { lines(c(xv[i-1],xv[i]),c(rl[[i-1]]$ml,rl[[i]]$ml))
    }
    points(xv[i],rl[[i]]$ml,pch=19)
    lines(c(xv[i],xv[i]),c(rl[[i]]$ml-2*rl[[i]]$se,rl[[i]]$ml+2*rl[[i]]$se))
  }
}

postscript("fig-graph1.ps")

plot(c(0,log(6400)/log(2)-log(50)/log(2)),c(-41178,-41157.5),type="n",
  xlab="mass of imaginary data",
  ylab="log marginal likelihood")

abline(h=e2.ml.a,lty=2)
abline(h=e2.ml.b,lty=2)

e2.plot.estimates (
 c(50,100,200,400,800,1600,3200,6400),
 list(e2.dw.ab.inf.50.ais,
      e2.dw.ab.inf.100.ais,
      e2.dw.ab.inf.200.ais,
      e2.dw.ab.inf.400.ais,
      e2.dw.ab.inf.800.ais,
      e2.dw.ab.inf.1600.ais,
      e2.dw.ab.inf.3200.ais,
      e2.dw.ab.inf.6400.ais)
)

e2.plot.estimates (
 c(50,100,200,400,800,1600,3200,6400),
 list(e2.dw.ba.inf.50.ais,
      e2.dw.ba.inf.100.ais,
      e2.dw.ba.inf.200.ais,
      e2.dw.ba.inf.400.ais,
      e2.dw.ba.inf.800.ais,
      e2.dw.ba.inf.1600.ais,
      e2.dw.ba.inf.3200.ais,
      e2.dw.ba.inf.6400.ais)
)

text(0.3,-41166,  "Model B, with transfer from A",adj=c(0,0))
text(2.5,-41172.5,"Model A, with transfer from B",adj=c(0,0))

text(3.5,e2.ml.b+0.5,"Model B, with its initial prior")
text(3.5,e2.ml.a-0.6,"Model A, with its initial prior")

dev.off()
